%if 0%{?rhel} == 9
%define dist .el9
%endif
%if 0%{?rhel} == 8
%define dist .el8
%endif
%if 0%{?rhel} == 7
%define dist .el7
%endif
Summary: spLibs repository configuration
Name: spLibs-release
Version: 1.0.1
Release: 2%{?dist}
License: GPLv2
Group: System Environment/Base
BuildArch: noarch
URL: https://www-ie.meijo-u.ac.jp/labs/rj001/spLibs/index.html
Source: %{name}-%{version}-1.tgz

%description
This package contains spLibs repository configuration
as well as the public GPG keys used to sign packages.

%prep
%setup -q

%{?el9:version='9'}
%{?el8:version='8'}
%{?el7:version='7'}
%{?el6:version='6'}
%{?el5:version='5'}
%{?el4:version='4'}
%{?el3:version='3'}
%{?el2:version='2.1'}

%{__cat} <<EOF >spLibs.repo
[spLibs]
name=spLibs
baseurl=https://www-ie.meijo-u.ac.jp/labs/rj001/archive/rpm/el$version/\$basearch
gpgcheck=1
enabled=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-spLibs2
EOF

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0644 spLibs.repo %{buildroot}%{_sysconfdir}/yum.repos.d/spLibs.repo
%{__install} -Dp -m0644 RPM-GPG-KEY-spLibs2 %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-spLibs2

%clean
%{__rm} -rf %{buildroot}

%post
rpm -q gpg-pubkey-c412e894-665dcc49 &>/dev/null || echo Import the GPG key of spLibs by executing \"rpm --import %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-spLibs2\"

%files
%defattr(-, root, root, 0755)
%pubkey RPM-GPG-KEY-spLibs2
%dir %{_sysconfdir}/yum.repos.d/
%config(noreplace) %{_sysconfdir}/yum.repos.d/spLibs.repo
%dir %{_sysconfdir}/pki/rpm-gpg/
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-spLibs2

%changelog
* Fri May 31 2024  Hideki Banno
- Version 1.0.1-2

* Tue May 31 2016  Hideki Banno
- Version 1.0.1-1

* Mon May 16 2016  Hideki Banno
- Version 1.0.0-1
